### Method

# Gtk Editableset_text

#### Declaration [src]

    void
    gtk_editable_set_text (
      GtkEditable* editable,
      const char* text
    )

#### Description [src]

Sets the text in the editable to the given value.

This is replacing the current contents.

Sets property | `Gtk.Editable:text`

#### Parameters

`text`

  Type: `const char*`

  The text to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.